## fcitx5-fbterm 0.0~git20220315.620980b

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3)
project(fcitx5-fbterm)

find_package(PkgConfig REQUIRED)
find_package(Fcitx5Utils REQUIRED)
find_package(Fcitx5GClient REQUIRED)
include(GNUInstallDirs)

pkg_check_modules(Gio2 REQUIRED IMPORTED_TARGET "gio-2.0")

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")

add_subdirectory(src)

=== debian/changelog ===
fcitx5-fbterm (0.0~git20220315.620980b-2) unstable; urgency=medium

  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Sat, 04 Jun 2022 20:34:25 -0400

fcitx5-fbterm (0.0~git20220315.620980b-1) unstable; urgency=medium

  * Initial release.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Apr 2022 10:18:25 -0400

=== debian/control ===
Source: fcitx5-fbterm
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libglib2.0-dev,
 libfcitx5utils-dev,
 libfcitx5gclient-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx5-fbterm
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-fbterm.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-fbterm

Package: fcitx5-frontend-fbterm
Architecture: linux-any
Depends:
 fbterm,
 fcitx5,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx5-chinese-addons,
Description: FbTerm frontend for fcitx5
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the FbTerm frontend, which is recommended for
 users who do not use X.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://github.com/fcitx/fcitx5-fbterm/ \
 HEAD

## fcitx5-fbterm 0.0~git20250520.6067ed2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.3)
+cmake_minimum_required(VERSION 3.6)
 project(fcitx5-fbterm)
 
 find_package(PkgConfig REQUIRED)

=== src/CMakeLists.txt ===
add_executable(fcitx5-fbterm fcitx5-fbterm.cpp imapi.cpp keycode.cpp keymap.cpp utils.cpp)

target_link_libraries(fcitx5-fbterm Fcitx5::Utils Fcitx5::GClient PkgConfig::Gio2)

install(TARGETS fcitx5-fbterm DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
fcitx5-fbterm (0.0~git20250520.6067ed2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

  [ Boyuan Yang ]
  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 19:35:43 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libglib2.0-dev,
  libfcitx5utils-dev,
  libfcitx5gclient-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-fbterm
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-fbterm.git
